﻿using C1.WPF.RichTextBox;
using C1.WPF.Toolbar;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Xml;

namespace RichTextBoxToolbar
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        C1FontColorTool fontColor;
        C1MarginTool marginTool;
        C1TextHighlightTool colorTool;
        C1PaddingTool paddingTool;
        public MainWindow()
        {
            InitializeComponent();
        }
        private void ToolBar_Loaded(object sender, RoutedEventArgs e)
        {
            C1RichTextBoxToolbar toolbar = sender as C1RichTextBoxToolbar;
            //Font Color
            fontColor = (C1FontColorTool)toolbar.Template.FindName("28_T", toolbar);

            //Text Highlight
            colorTool = (C1TextHighlightTool)toolbar.Template.FindName("29_T", toolbar);

            //Marging
            marginTool = (C1MarginTool)toolbar.Template.FindName("45_T", toolbar);

            //Padding
            paddingTool = (C1PaddingTool)toolbar.Template.FindName("46_T", toolbar);
        }

        private void Get_Font(object sender, RoutedEventArgs e)
        {
            Debug.WriteLine(fontColor.Brush);
        }

        private void Get_Back(object sender, RoutedEventArgs e)
        {
            Debug.WriteLine(colorTool.Brush);
        }

        private void Get_Margin(object sender, RoutedEventArgs e)
        {
            Debug.WriteLine(marginTool.Thickness);
        }

        private void Get_Padding(object sender, RoutedEventArgs e)
        {
            Debug.WriteLine(paddingTool.Thickness);
        }
    }
}
